org.apache.lucene.spatial.prefix

## Class IntersectsPrefixTreeFilter

- java.lang.Object
- - org.apache.lucene.search.Filter
  - - org.apache.lucene.spatial.prefix.AbstractPrefixTreeFilter
    - - org.apache.lucene.spatial.prefix.AbstractVisitingPrefixTreeFilter
      - - org.apache.lucene.spatial.prefix.IntersectsPrefixTreeFilter

    public class IntersectsPrefixTreeFilter
    extends AbstractVisitingPrefixTreeFilter

A Filter matching documents that have an `SpatialRelation.INTERSECTS` (i.e. not DISTINCT) relationship with a provided query shape.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.spatial.prefix.AbstractVisitingPrefixTreeFilter

`AbstractVisitingPrefixTreeFilter.VisitorTemplate, AbstractVisitingPrefixTreeFilter.VNode`

### Nested classes/interfaces inherited from class org.apache.lucene.spatial.prefix.AbstractPrefixTreeFilter

`AbstractPrefixTreeFilter.BaseTermsEnumTraverser`

### Field Summary

### Fields inherited from class org.apache.lucene.spatial.prefix.AbstractVisitingPrefixTreeFilter

`prefixGridScanLevel`

### Fields inherited from class org.apache.lucene.spatial.prefix.AbstractPrefixTreeFilter

`detailLevel, fieldName, grid, queryShape`

### Constructor Summary

Constructors
Constructor and Description
`IntersectsPrefixTreeFilter(com.spatial4j.core.shape.Shape queryShape, String fieldName, SpatialPrefixTree grid, int detailLevel, int prefixGridScanLevel, boolean hasIndexedLeaves)`

### Method Summary

Methods
`boolean` `equals(Object o)`
`DocIdSet` `getDocIdSet(AtomicReaderContext context, Bits acceptDocs)`

### Methods inherited from class org.apache.lucene.spatial.prefix.AbstractVisitingPrefixTreeFilter

`hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntersectsPrefixTreeFilter

    public IntersectsPrefixTreeFilter(com.spatial4j.core.shape.Shape queryShape,
                              String fieldName,
                              SpatialPrefixTree grid,
                              int detailLevel,
                              int prefixGridScanLevel,
                              boolean hasIndexedLeaves)

### Method Detail

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `AbstractVisitingPrefixTreeFilter`

#### getDocIdSet

    public DocIdSet getDocIdSet(AtomicReaderContext context,
                       Bits acceptDocs)
                         throws IOException

Specified by:
  `getDocIdSet` in class `Filter`
Throws:
  `IOException`